## sarg 2.3.10

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
PROJECT(sarg C)
SET(sarg_VERSION 2)
SET(sarg_REVISION "3.10")
SET(sarg_BUILD "")
SET(sarg_BUILDDATE "Apr-12-2015")
INCLUDE(AddFileDependencies)
INCLUDE(CheckIncludeFile)
INCLUDE(CheckLibraryExists)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckTypeSize)
INCLUDE(CheckSymbolExists)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckStructHasMember)

DEFINE_PROPERTY(GLOBAL PROPERTY enable-htmldir BRIEF_DOCS "--enable-htmldir=htmldir"
                        FULL_DOCS "Select htmldir as the root of your WWW documents")

SET(PACKAGE_NAME "sarg")
SET(PACKAGE_VERSION "${sarg_VERSION}.${sarg_REVISION}${sarg_BUILD}")

MACRO(SET_ABS_SOURCE VAR DOC)
   IF(${VAR} AND NOT ${VAR}_SOURCE)
      SET(PATH "${${VAR}}")
      IF(NOT IS_ABSOLUTE ${PATH})
         SET(PATH "${CMAKE_INSTALL_PREFIX}/${PATH}")
      ENDIF(NOT IS_ABSOLUTE ${PATH})
      GET_FILENAME_COMPONENT(SOURCE_PATH "${PATH}" ABSOLUTE)
      SET(${VAR}_SOURCE "${SOURCE_PATH}" CACHE PATH "${DOC}")
   ENDIF(${VAR} AND NOT ${VAR}_SOURCE)
ENDMACRO(SET_ABS_SOURCE VAR DOC)

SET_ABS_SOURCE(SYSCONFDIR "The full path of the configuration directory to be compiled in the program")
SET_ABS_SOURCE(FONTDIR "The full path of the fonts directory to be compiled in the program")
SET_ABS_SOURCE(IMAGEDIR "The full path of the images directory to be compiled in the program")

SET(SYSCONFDIR "etc/sarg" CACHE PATH "The configuration directory relative to the install directory")
SET(BINDIR "bin" CACHE PATH "The directory to install the exec relative to the install directory")
SET(MANDIR "share/man/man1" CACHE PATH "The directory to copy the man page relative to the install directory")
SET(FONTDIR "share/sarg/fonts" CACHE PATH "The directory to copy the fonts relative to the install directory")
SET(IMAGEDIR "share/sarg/images" CACHE PATH "The directory to copy the images files relative to the install directory")
SET(SARGPHPDIR "share/sarg/sarg-php" CACHE PATH "The directory to copy sarg-php relative to the install directory")

# Sources to compile
INCLUDE_DIRECTORIES("${CMAKE_BINARY_DIR}") #Make it find this config.h before the one in src/include
INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/include")
SET(SRC util.c log.c report.c topuser.c email.c sort.c html.c
       index.c getconf.c usage.c decomp.c ip2name.c ip2name_dns.c
       useragent.c exclude.c convlog.c totday.c repday.c datafile.c
       indexonly.c splitlog.c lastlog.c topsites.c siteuser.c css.c
       smartfilter.c denied.c authfail.c charset.c dichotomic.c
       redirector.c auth.c download.c grepday.c ip2name_exec.c
       dansguardian_log.c dansguardian_report.c realtime.c btree_cache.c
       usertab.c userinfo.c longline.c url.c)

FOREACH(f ${SRC})
   ADD_FILE_DEPENDENCIES(${f} ${CMAKE_BINARY_DIR}/config.h ${CMAKE_SOURCE_DIR}/include/conf.h ${CMAKE_SOURCE_DIR}/include/info.h ${CMAKE_SOURCE_DIR}/include/defs.h)
ENDFOREACH(f)

ADD_EXECUTABLE(sarg ${SRC})

SET_TARGET_PROPERTIES(sarg PROPERTIES VERSION "${sarg_VERSION}.${sarg_REVISION}.${sarg_BUILD}")

SET_TARGET_PROPERTIES(sarg PROPERTIES COMPILE_FLAGS "$ENV{CFLAGS} -Wall -Wno-sign-compare")
SET_TARGET_PROPERTIES(sarg PROPERTIES LINK_FLAGS "$ENV{LDFLAGS}")

CHECK_C_COMPILER_FLAG("-Wextra" HAVE_WEXTRA)
IF(HAVE_WEXTRA)
   # Not supported by gcc 3.3
   GET_TARGET_PROPERTY(TMPCFLAGS sarg COMPILE_FLAGS)
   SET_TARGET_PROPERTIES(sarg PROPERTIES COMPILE_FLAGS "${TMPCFLAGS} -Wextra -Wno-unused-parameter")
ENDIF(HAVE_WEXTRA)

CHECK_C_COMPILER_FLAG("-Werror=implicit-function-declaration" HAVE_WERROR_IMPLICIT_FUNCTION)
IF(HAVE_WERROR_IMPLICIT_FUNCTION)
   GET_TARGET_PROPERTY(TMPCFLAGS sarg COMPILE_FLAGS)
   SET_TARGET_PROPERTIES(sarg PROPERTIES COMPILE_FLAGS "${TMPCFLAGS} -Werror=implicit-function-declaration")
ENDIF(HAVE_WERROR_IMPLICIT_FUNCTION)

CHECK_C_COMPILER_FLAG("-Werror=format" HAVE_WERROR_FORMAT)
IF(HAVE_WERROR_FORMAT)
   GET_TARGET_PROPERTY(TMPCFLAGS sarg COMPILE_FLAGS)
   SET_TARGET_PROPERTIES(sarg PROPERTIES COMPILE_FLAGS "${TMPCFLAGS} -Werror=format")
ENDIF(HAVE_WERROR_FORMAT)

# Required header files
CHECK_INCLUDE_FILE(stdio.h HAVE_STDIO_H)
CHECK_INCLUDE_FILE(stdlib.h HAVE_STDLIB_H)
CHECK_INCLUDE_FILE(string.h HAVE_STRING_H)
CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
CHECK_INCLUDE_FILE(sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILE(time.h HAVE_TIME_H)
CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(sys/dirent.h HAVE_SYS_DIRENT_H)
CHECK_INCLUDE_FILE(dirent.h HAVE_DIRENT_H)
CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE(sys/socket.h HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILE(netdb.h HAVE_NETDB_H)
CHECK_INCLUDE_FILE(arpa/inet.h HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILE(netinet/in.h HAVE_NETINET_H)
CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(ctype.h HAVE_CTYPE_H)
CHECK_INCLUDE_FILE(errno.h HAVE_ERRNO_H)
CHECK_INCLUDE_FILE(sys/resource.h HAVE_SYS_RESOURCE_H)
CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(stdarg.h HAVE_STDARG_H)
CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
CHECK_INCLUDE_FILE(limits.h HAVE_LIMITS_H)
CHECK_INCLUDE_FILE(math.h HAVE_MATH_H)
CHECK_INCLUDE_FILE(locale.h HAVE_LOCALE_H)
CHECK_INCLUDE_FILE(execinfo.h HAVE_EXECINFO_H)
CHECK_INCLUDE_FILE(libintl.h HAVE_LIBINTL_H)
CHECK_INCLUDE_FILE(libgen.h HAVE_LIBGEN_H)
CHECK_INCLUDE_FILE(stdbool.h HAVE_STDBOOL_H)
CHECK_INCLUDE_FILE(getopt.h HAVE_GETOPT_H)
CHECK_INCLUDE_FILE(fcntl.h HAVE_FCNTL_H)

IF(!HAVE_GETOPT_H)
   MESSAGE(SEND_ERROR "getopt.h is required to compile sarg")
ENDIF(!HAVE_GETOPT_H)

# Required libraries
TARGET_LINK_LIBRARIES(sarg m)

# Windows need lib wsock32 and ws2_32
IF(CMAKE_SYSTEM_NAME STREQUAL "Windows")
   CHECK_INCLUDE_FILE(windows.h HAVE_WINDOWS_H)
   CHECK_INCLUDE_FILE(winsock.h HAVE_WINSOCK_H)
   CHECK_INCLUDE_FILE(ws2tcpip.h HAVE_WS2TCPIP_H)

   FIND_LIBRARY(WSOCK_LIB NAMES wsock32 DOC "The winsock library")
   IF(WSOCK_LIB)
      TARGET_LINK_LIBRARIES(sarg wsock32)
      LIST(APPEND CMAKE_REQUIRED_LIBRARIES wsock32)
   ENDIF(WSOCK_LIB)

   FIND_LIBRARY(WSOCK2_LIB NAMES ws2_32 DOC "The winsock 2 library")
   IF(WSOCK2_LIB)
      TARGET_LINK_LIBRARIES(sarg ws2_32)
      LIST(APPEND CMAKE_REQUIRED_LIBRARIES ws2_32)
   ENDIF(WSOCK2_LIB)

   ADD_DEFINITIONS(-DWINDOWS)
ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Windows")

CHECK_FUNCTION_EXISTS(bzero HAVE_BZERO)
CHECK_FUNCTION_EXISTS(backtrace HAVE_BACKTRACE)
CHECK_FUNCTION_EXISTS(symlink HAVE_SYMLINK)
CHECK_FUNCTION_EXISTS(lstat HAVE_LSTAT)
CHECK_FUNCTION_EXISTS(getnameinfo HAVE_GETNAMEINFO)
CHECK_FUNCTION_EXISTS(getaddrinfo HAVE_GETADDRINFO)
CHECK_FUNCTION_EXISTS(inet_aton HAVE_INET_ATON)

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" ss_len sys/socket.h HAVE_SOCKADDR_SA_LEN)

# Find gd
CHECK_INCLUDE_FILE(gd.h HAVE_GD_H)
IF(HAVE_GD_H)
   CHECK_INCLUDE_FILE(gdfontl.h HAVE_GDFONTL_H)
   CHECK_INCLUDE_FILE(gdfontt.h HAVE_GDFONTT_H)
   CHECK_INCLUDE_FILE(gdfonts.h HAVE_GDFONTS_H)
   CHECK_INCLUDE_FILE(gdfontmb.h HAVE_GDFONTMB_H)
   CHECK_INCLUDE_FILE(gdfontg.h HAVE_GDFONTG_H)
   FIND_LIBRARY(GD_LIBRARY NAMES gd bgd DOC "The GD library")
   IF(GD_LIBRARY)
      #CHECK_LIBRARY_EXISTS(gd gdImagePng "." HAVE_GD_LIB)
      TARGET_LINK_LIBRARIES(sarg ${GD_LIBRARY})
      SET(HAVE_GD_LIB GD_LIBRARY CACHE PATH DOC "True IF GD was found")
      SET(HAVE_GD_LIB CACHE BOOL DOC "True IF must use GD")
   ENDIF(GD_LIBRARY)
ENDIF(HAVE_GD_H)

# Find iconv
OPTION(ENABLE_ICONV "Enable the usage of iconv" ON)
IF(ENABLE_ICONV)
   CHECK_INCLUDE_FILE(iconv.h HAVE_ICONV_H)
   IF(HAVE_ICONV_H)
      FIND_PATH(ICONV_INCLUDE_PATH NAMES iconv.h)
      FIND_LIBRARY(ICONV_LIBRARY NAMES iconv DOC "The ICONV library")
      IF(ICONV_LIBRARY)
         TARGET_LINK_LIBRARIES(sarg ${ICONV_LIBRARY})
      ENDIF(ICONV_LIBRARY)
      CHECK_FUNCTION_EXISTS(iconv_open HAVE_ICONV)

      IF(NOT USE_CONST_ICONV)
         SET(ICONV_CONST_FILE ${CMAKE_BINARY_DIR}/consticonv.c)
         FILE(WRITE ${ICONV_CONST_FILE} "
#include <iconv.h>
#ifdef __CLASSIC_C__
int main(){
  int ac;
  char*av[];
#else
int main(int ac, char*av[]){
#endif
  iconv_t localtoutf=(iconv_t)-1;
  const char *str=\"\";
  char *sstr=\"\";
  size_t slen=0, sslen=0;

  iconv (localtoutf, (const char **)&str, &slen, &sstr, &sslen);
  if(ac > 1000)
    {
    return *av[0];
    }
  return 0;
}
")
         TRY_COMPILE(USE_CONST_ICONV ${CMAKE_BINARY_DIR} ${ICONV_CONST_FILE} CMAKE_FLAGS -DLINK_LIBRARIES="iconv")
         FILE(REMOVE ${ICONV_CONST_FILE})
         IF(USE_CONST_ICONV)
            SET(ICONV_CONST "const" CACHE STRING "The type of char to use with iconv")
            MESSAGE(STATUS "iconv requires const char **")
         ELSEIF(USE_CONST_ICONV)
            SET(ICONV_CONST "" CACHE STRING "The type of char to use with iconv")
            MESSAGE(STATUS "iconv requires char **")
         ENDIF(USE_CONST_ICONV)
         SET(USE_CONST_ICONV TRUE CACHE BOOL "Use const char ** with iconv")
      ENDIF(NOT USE_CONST_ICONV)
   ENDIF(HAVE_ICONV_H)
ENDIF(ENABLE_ICONV)

# Find ldap
CHECK_INCLUDE_FILE(ldap.h HAVE_LDAP_H)
IF(HAVE_LDAP_H)
   FIND_LIBRARY(LDAP_LIBRARY NAMES ldap DOC "The ldap library")
   IF(LDAP_LIBRARY)
      TARGET_LINK_LIBRARIES(sarg ${LDAP_LIBRARY})
      SET(HAVE_LDAP LDAP_LIBRARY CACHE PATH DOC "True if LDAP was found")
      SET(HAVE_LDAP CACHE BOOL DOC "True if must use LDAP")
   ENDIF(LDAP_LIBRARY)
ENDIF(HAVE_LDAP_H)

# Find pcre
CHECK_INCLUDE_FILE(pcre.h HAVE_PCRE_H)
IF(HAVE_PCRE_H)
   FIND_LIBRARY(PCRE_LIBRARY NAMES pcre DOC "The pcre library")
   IF(PCRE_LIBRARY)
      TARGET_LINK_LIBRARIES(sarg ${PCRE_LIBRARY})
      SET(HAVE_PCRE PCRE_LIBRARY CACHE PATH DOC "True if pcre was found")
      SET(HAVE_PCRE CACHE BOOL DOC "True if must use pcre")
   ENDIF(PCRE_LIBRARY)
ENDIF(HAVE_PCRE_H)

# Support for large files
OPTION(ENABLE_LARGEFILE "Enable the usage of large files" ON)
IF(ENABLE_LARGEFILE)
   IF(LFS_SEARCHED MATCHES "^LFS_SEARCHED$")
      SET(SEARCH_LARGEFILE TRUE)
   ENDIF(LFS_SEARCHED MATCHES "^LFS_SEARCHED$")
ENDIF(ENABLE_LARGEFILE)

IF(SEARCH_LARGEFILE)
   SET(LFS_SEARCHED TRUE CACHE INTERNAL "LFS has been searched")
   MESSAGE(STATUS "Looking for large file support")
   SET(LFS_FILE "${CMAKE_BINARY_DIR}/lfsfopen64.c")
   FILE(WRITE ${LFS_FILE} "
#include <stdio.h>
int main(void)
{
FILE *f = fopen64 (\"/tmp/foo\",\"r\");
return(0);
}
")
   TRY_COMPILE(HAVE_FOPEN64 ${CMAKE_BINARY_DIR} ${LFS_FILE} COMPILE_DEFINITIONS "-Wall -Werror")
   IF(HAVE_FOPEN64)
      MESSAGE(STATUS "Looking for large file support - found")
   ELSE(HAVE_FOPEN64)
      SET(LFS_NEED_DEFINE FALSE CACHE BOOL "Does LFS require _LARGEFILE64_SOURCE ?")
      MESSAGE(STATUS "Looking for large file support with _LARGEFILE64_SOURCE")
      FILE(WRITE ${LFS_FILE} "
#define _LARGEFILE64_SOURCE
#include <stdio.h>
int main(void)
{
FILE *f = fopen64 (\"/tmp/foo\",\"r\");
return(0);
}
")
      TRY_COMPILE(HAVE_FOPEN64 ${CMAKE_BINARY_DIR} ${LFS_FILE} OUTPUT_VARIABLE LFS_OUTPUT)
      IF(HAVE_FOPEN64)
         MESSAGE(STATUS "Looking for large file support with _LARGEFILE64_SOURCE - found")
         SET(LFS_NEED_DEFINE TRUE CACHE BOOL "Does LFS require _LARGEFILE64_SOURCE ?" FORCE)
      ELSE(HAVE_FOPEN64)
         MESSAGE("Failed with output ${LFS_OUTPUT}")
      ENDIF(HAVE_FOPEN64)
   ENDIF(HAVE_FOPEN64)
   FILE(REMOVE ${LFS_FILE})
ENDIF(SEARCH_LARGEFILE)

IF(LFS_NEED_DEFINE)
   ADD_DEFINITIONS(-D_LARGEFILE64_SOURCE)
ENDIF(LFS_NEED_DEFINE)

# Find rlim_t
IF(HAVE_SYS_RESOURCE_H)
   SET(CMAKE_EXTRA_INCLUDE_FILES "sys/resource.h")
ENDIF(HAVE_SYS_RESOURCE_H)
CHECK_TYPE_SIZE(rlim_t RLIM_T)
IF(HAVE_RLIM_T)
   IF(RLIM_T STREQUAL 4)
      SET(RLIM_STRING "%d")
   ELSEIF(RLIM_T STREQUAL 8)
      SET(RLIM_STRING "%lli")
   ELSE(RLIM_T STREQUAL 4)
      MESSAGE("Unknown rlim_t size")
   ENDIF(RLIM_T STREQUAL 4)
#ELSE(HAVE_RLIM_T)
#   MESSAGE("Cannot detect the size of your system's rlim_t type")
ENDIF(HAVE_RLIM_T)

CHECK_FUNCTION_EXISTS(mkstemp HAVE_MKSTEMP)
IF(NOT HAVE_MKSTEMP)
   # MingW provide mkstemps in libiberty but doesn't declare it in any header file

=== debian/changelog ===
sarg (2.3.10-2) unstable; urgency=medium

  * Use Autoreconf in build.
    Thanks to Edmund Grimley Evans for the patch (Closes: #798038)
  * Make sarg-reports support multiple input log files.
    Thanks to J G Miller <miller@yoyo.org> for the patch (Closes: #818429)
  * Updated debian/watch version
  * Bumped Standards-Version to 3.9.7, no change needed

 -- Luigi Gangitano <luigi@debian.org>  Mon, 28 Mar 2016 00:25:49 +0200

sarg (2.3.10-1) unstable; urgency=medium

  *  New upstream release
     - Includes updated configure generated by autconf 2.69
       (Closes: #744505, #727959)

  * debian/control
    - Replaced dependency on ttf-freefonts with fonts-freefont-ttf
      (Closes: #738247)
    - Bumped Standards-Version to 3.9.6 (no change needed)
    - Added Xs-Vcs-Git tag pointing to collab-maint repository

  * po/*
    - Upgraded gettext help files to 0.19

 -- Luigi Gangitano <luigi@debian.org>  Mon, 10 Aug 2015 17:25:41 +0200

=== debian/control ===
Source: sarg
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev, libgd2-noxpm-dev | libgd2-xpm-dev, libldap2-dev
Section: web
Priority: optional
Maintainer: Luigi Gangitano <luigi@debian.org>
Xs-Vcs-Git: git://anonscm.debian.org/collab-maint/sarg.git/
Standards-Version: 3.9.7

Package: sarg
Architecture: any
Replaces: sqmgrlog
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-dejavu-core | fonts-freefont-ttf
Suggests: squid, httpd | apache2, squidguard, libapache2-mod-php5
Conflicts: sqmgrlog
Description: squid analysis report generator
 Sarg is a Squid Analysis Report Generator that allow you to view "where" 
 your users are going to on the Internet. Sarg generate reports in html, 
 with many fields, like: users, IP Addresses, bytes, sites and times.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

%:
	dh  $@ --with autotools-dev

override_dh_auto_configure:
	chmod 755 configure
	dh_auto_configure -Sautoconf -- --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--bindir=/usr/bin \
		--sysconfdir=/etc/sarg \
		--mandir=/usr/share/man/man1 \
		--enable-fontdir=/usr/share/fonts/truetype/ttf-dejavu \
		--enable-imagedir=/usr/share/sarg/images \
		--enable-sargphp=/usr/share/sarg



override_dh_auto_install:
	dh_auto_install
	$(INSTALL_FILE) debian/sarg.conf debian/sarg/etc/sarg
	$(INSTALL_FILE) debian/sarg.hosts debian/sarg/etc/sarg/exclude_hosts
	$(INSTALL_FILE) debian/sarg.users debian/sarg/etc/sarg/exclude_users
	$(INSTALL_FILE) debian/sarg.usertab debian/sarg/etc/sarg/usertab
	rm -r debian/sarg/usr/share/fonts
	$(INSTALL_SCRIPT) debian/sarg-reports debian/sarg/usr/sbin/sarg-reports
	$(INSTALL_FILE) debian/sarg-reports.conf debian/sarg/etc/sarg
	$(INSTALL_SCRIPT) debian/sarg-reports.cron.daily debian/sarg/etc/cron.daily/sarg
	$(INSTALL_SCRIPT) debian/sarg-reports.cron.weekly debian/sarg/etc/cron.weekly/sarg
	$(INSTALL_SCRIPT) debian/sarg-reports.cron.monthly debian/sarg/etc/cron.monthly/sarg
	$(INSTALL_FILE) css.tpl debian/sarg/usr/share/doc/sarg
	rm debian/sarg/usr/share/sarg/sarg-php/COPYING
	mv debian/sarg/usr/share/sarg/sarg-php/INSTALL debian/sarg/usr/share/doc/sarg/README.sarg.php
	mv debian/sarg/usr/share/sarg/sarg-php/LANGUAGES debian/sarg/usr/share/doc/sarg/LANGUAGES.sarg.php
	chmod 644 debian/sarg/etc/sarg/sarg.*
	chmod 755 debian/sarg/etc/sarg
	chmod 755 debian/sarg/etc/sarg/user_limit_block
	chmod 755 debian/sarg/usr/sbin/sarg-reports
	chmod 755 debian/sarg/etc/cron.daily/sarg
	chmod 755 debian/sarg/etc/cron.weekly/sarg
	chmod 755 debian/sarg/etc/cron.monthly/sarg

## sarg 2.3.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
 PROJECT(sarg C)
 SET(sarg_VERSION 2)
-SET(sarg_REVISION "3.10")
+SET(sarg_REVISION "3.11")
 SET(sarg_BUILD "")
-SET(sarg_BUILDDATE "Apr-12-2015")
+SET(sarg_BUILDDATE "Jan-14-2018")
 INCLUDE(AddFileDependencies)
 INCLUDE(CheckIncludeFile)
 INCLUDE(CheckLibraryExists)

=== debian/changelog ===
sarg (2.3.11-1) unstable; urgency=medium

  * New upstream version
     - Fixes FTBFS with GCC 7 (Closes: #853651)
     - Removed gettext patch integrated upstream

  * debian/control
    - Fix man directory (Closes: #850624, thanks to Michael Stapelberg)

  * debian/sarg-reports{,.1,.conf}
    - Added EXCLUDELOG3 filter (Closes: #872425, thanks to Matus UHLAR)
    - Added documentation (Closes: #845455, thanks to rbs1@chardmore.net)
    - Added lastlog options (Closes: #845546, thanks to rbs1@chardmore.net)

  * debian/patches/0002-fix-build-errors.patch
    - Fix more build errors

  * debian/rules
    - Removed autotools-dev debhelper calls

 -- Luigi Gangitano <luigi@debian.org>  Tue, 13 Feb 2018 17:12:57 +0100

sarg (2.3.10-3) unstable; urgency=medium

  * debian/control
    - Change dependency to libgd-dev (Closes: #880782) 

 -- Luigi Gangitano <luigi@debian.org>  Mon, 06 Nov 2017 00:07:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: sarg
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev, libgd2-noxpm-dev | libgd2-xpm-dev, libldap2-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev, libgd-dev, libldap2-dev
 Section: web
 Priority: optional
 Maintainer: Luigi Gangitano <luigi@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
 
 %:
-	dh  $@ --with autotools-dev
+	dh  $@
 
 override_dh_auto_configure:
 	chmod 755 configure
@@ -23,7 +23,6 @@
 		--infodir=\$${prefix}/share/info \
 		--bindir=/usr/bin \
 		--sysconfdir=/etc/sarg \
-		--mandir=/usr/share/man/man1 \
 		--enable-fontdir=/usr/share/fonts/truetype/ttf-dejavu \
 		--enable-imagedir=/usr/share/sarg/images \
 		--enable-sargphp=/usr/share/sarg

=== debian/watch ===
version=3
http://sf.net/sarg/sarg-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sarg 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
 PROJECT(sarg C)
 SET(sarg_VERSION 2)
-SET(sarg_REVISION "3.11")
+SET(sarg_REVISION "4.0")
 SET(sarg_BUILD "")
-SET(sarg_BUILDDATE "Jan-14-2018")
+SET(sarg_BUILDDATE "Jan-16-2020")
+
 INCLUDE(AddFileDependencies)
 INCLUDE(CheckIncludeFile)
 INCLUDE(CheckLibraryExists)
@@ -48,10 +49,13 @@
        index.c getconf.c usage.c decomp.c ip2name.c ip2name_dns.c
        useragent.c exclude.c convlog.c totday.c repday.c datafile.c
        indexonly.c splitlog.c lastlog.c topsites.c siteuser.c css.c
-       smartfilter.c denied.c authfail.c charset.c dichotomic.c
+       smartfilter.c denied.c authfail.c dichotomic.c
        redirector.c auth.c download.c grepday.c ip2name_exec.c
        dansguardian_log.c dansguardian_report.c realtime.c btree_cache.c
-       usertab.c userinfo.c longline.c url.c)
+       usertab.c userinfo.c longline.c url.c fnmatch.c stringbuffer.c
+       filelist.c readlog.c alias.c
+	   readlog_squid.c readlog_sarg.c readlog_extlog.c readlog_common.c
+	   include/conf.h include/info.h include/defs.h include/stringbuffer.h)
 
 FOREACH(f ${SRC})
    ADD_FILE_DEPENDENCIES(${f} ${CMAKE_BINARY_DIR}/config.h ${CMAKE_SOURCE_DIR}/include/conf.h ${CMAKE_SOURCE_DIR}/include/info.h ${CMAKE_SOURCE_DIR}/include/defs.h)
@@ -114,6 +118,8 @@
 CHECK_INCLUDE_FILE(stdbool.h HAVE_STDBOOL_H)
 CHECK_INCLUDE_FILE(getopt.h HAVE_GETOPT_H)
 CHECK_INCLUDE_FILE(fcntl.h HAVE_FCNTL_H)
+CHECK_INCLUDE_FILE(fnmatch.h HAVE_FNMATCH_H)
+CHECK_INCLUDE_FILE(glob.h HAVE_GLOB_H)
 
 IF(!HAVE_GETOPT_H)
    MESSAGE(SEND_ERROR "getopt.h is required to compile sarg")
@@ -124,9 +130,11 @@
 
 # Windows need lib wsock32 and ws2_32
 IF(CMAKE_SYSTEM_NAME STREQUAL "Windows")
+   CHECK_INCLUDE_FILE(winsock2.h HAVE_WINSOCK2_H)
    CHECK_INCLUDE_FILE(windows.h HAVE_WINDOWS_H)
    CHECK_INCLUDE_FILE(winsock.h HAVE_WINSOCK_H)
    CHECK_INCLUDE_FILE(ws2tcpip.h HAVE_WS2TCPIP_H)
+   CHECK_INCLUDE_FILE(direct.h HAVE_DIRECT_H)
 
    FIND_LIBRARY(WSOCK_LIB NAMES wsock32 DOC "The winsock library")
    IF(WSOCK_LIB)
@@ -143,13 +151,13 @@
    ADD_DEFINITIONS(-DWINDOWS)
 ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Windows")
 
-CHECK_FUNCTION_EXISTS(bzero HAVE_BZERO)
 CHECK_FUNCTION_EXISTS(backtrace HAVE_BACKTRACE)
 CHECK_FUNCTION_EXISTS(symlink HAVE_SYMLINK)
 CHECK_FUNCTION_EXISTS(lstat HAVE_LSTAT)
 CHECK_FUNCTION_EXISTS(getnameinfo HAVE_GETNAMEINFO)
 CHECK_FUNCTION_EXISTS(getaddrinfo HAVE_GETADDRINFO)
 CHECK_FUNCTION_EXISTS(inet_aton HAVE_INET_ATON)
+CHECK_FUNCTION_EXISTS(fnmatch HAVE_FNMATCH)
 
 CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" ss_len sys/socket.h HAVE_SOCKADDR_SA_LEN)
 
@@ -303,12 +311,3 @@
    ELSEIF(RLIM_T STREQUAL 8)
       SET(RLIM_STRING "%lli")
    ELSE(RLIM_T STREQUAL 4)
-      MESSAGE("Unknown rlim_t size")
-   ENDIF(RLIM_T STREQUAL 4)
-#ELSE(HAVE_RLIM_T)
-#   MESSAGE("Cannot detect the size of your system's rlim_t type")
-ENDIF(HAVE_RLIM_T)
-
-CHECK_FUNCTION_EXISTS(mkstemp HAVE_MKSTEMP)
-IF(NOT HAVE_MKSTEMP)
-   # MingW provide mkstemps in libiberty but doesn't declare it in any header file

=== debian/changelog ===
sarg (2.4.0-4) unstable; urgency=medium

  [ Fabio Augusto De Muzio Tobich ]
  * debian/clean: created to clean some left overs after build.
    (Closes: #1045320)
  * debian/control: Bumped Standards-Version to 4.7.0.
  * debian/copyright: updated packaging years.
  * debian/patches/:
      - 0006-fix-macro-not-defined-and-typo-in-manpage.patch: added.
      - 0007-fix-several-typos.patch: added.
      - series: updated.
  * debian/sarg.lintian-overrides: added to silence a false positive.
  * debian/undocumented: removed, wasn't needed.
  * debian/watch: fix upstream version numbers.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 2.2.3.1-3, 2.2.3.1-2, 1.4.patch1-1,
    1.2.1-4, 1.2.1-3, 1.2.1-2, 1.2.0-0beta2-4.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 19 Jul 2024 00:20:00 -0300

sarg (2.4.0-3) unstable; urgency=medium

  * debian/control: changed Rules-Requires-Root field from 'no' to
    'binary-targets'.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 28 Sep 2022 16:02:16 -0300

sarg (2.4.0-2) unstable; urgency=medium

  [ Fabio Augusto De Muzio Tobich ]
  * New maintainer.
    Many thanks to Luigi Gangitano, first of all for his excellent work with
    sarg over the years and also for his trust in allowing me to continue the
    work from now on.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control:
          - Changed from 'debhelper' to 'debhelper-compat' in Build-Depends
            field and bumped level to 13.
          - Dropped unnecessary dependencies in Build-Depends field.
  * debian/control:
      - Added Homepage field.
      - Added Rules-Requires-Root: no.
      - Bumped Standards-Version to 4.6.1.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/dirs: removed empty directory.
  * debian/patches/:
      - 0004-fix-format-security.patch: added to fix format truncation error.
        Thanks to Matthias Klose. (Closes: #966848)
      - 0005-fix-multiple-include-conf.patch: added to fix FTBFS with GCC 10.3.
        Thanks to Sergio Durigan Junior.
  * debian/rules: removed unnecessary lines.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch: bumped version to 4.

  [ Olivier Tilloy ]
  * Update runtime dependency on the transitional dummy ttf-dejavu-core (which
    was dropped from unstable) to fonts-dejavu-core. (Closes: #962200)
    Consequently:
      - debian/control: replaced ttf-dejavu-core to fonts-dejavu-core in
        Depends field.
      - debian/rules: replaced path in --enable-fontdir on
        override_dh_auto_configure from '.../ttf-dejavu' to '.../dejavu'.
      - debian/sarg.conf: updated graph_font field path from '.../ttf-dejavu'
        to '.../dejavu'.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 28 Sep 2022 14:40:49 -0300

sarg (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
    - Fixes local privilege escalation vulnerability (Closes: #951390)
      (Ref: CVE-2019-18932)
    - Fixes FTBFS with gcc-8 (Closes: #897855)

  * debian/control
    - Remove Xs-Vcs-Git field
    - Bumped Standards-Version to 4.5.0 (no change needed)

  * debian/patches/0003-Fix-FTCBFS.patch
    - Fix FTCBFS, thanks to Helmut Grohne (Closes: #940124)

 -- Luigi Gangitano <luigi@debian.org>  Mon, 24 Feb 2020 00:27:10 +0100

sarg (2.3.11-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Add Vcs-* field
  * d/watch: Use https protocol

 -- Luigi Gangitano <luigi@debian.org>  Thu, 20 Feb 2020 00:31:31 +0100

=== debian/control ===
Source: sarg
Section: web
Priority: optional
Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgd-dev,
               libldap2-dev
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Homepage: https://sourceforge.net/projects/sarg/
Vcs-Browser: https://salsa.debian.org/debian/sarg
Vcs-Git: https://salsa.debian.org/debian/sarg.git

Package: sarg
Architecture: any
Replaces: sqmgrlog
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dejavu-core | fonts-freefont-ttf
Suggests: squid, httpd | apache2, squidguard, libapache2-mod-php5
Conflicts: sqmgrlog
Description: squid analysis report generator
 Sarg is a Squid Analysis Report Generator that allow you to view "where"
 your users are going to on the Internet. Sarg generate reports in html,
 with many fields, like: users, IP Addresses, bytes, sites and times.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #!/usr/bin/make -f
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-#export DH_OPTIONS=-v
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 INSTALL = install
 INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
@@ -23,11 +19,9 @@
 		--infodir=\$${prefix}/share/info \
 		--bindir=/usr/bin \
 		--sysconfdir=/etc/sarg \
-		--enable-fontdir=/usr/share/fonts/truetype/ttf-dejavu \
+		--enable-fontdir=/usr/share/fonts/truetype/dejavu \
 		--enable-imagedir=/usr/share/sarg/images \
 		--enable-sargphp=/usr/share/sarg
-
-
 
 override_dh_auto_install:
 	dh_auto_install
@@ -52,5 +46,3 @@
 	chmod 755 debian/sarg/etc/cron.daily/sarg
 	chmod 755 debian/sarg/etc/cron.weekly/sarg
 	chmod 755 debian/sarg/etc/cron.monthly/sarg
-
-

=== debian/watch ===
version=4
opts=uversionmangle=s/-pre/~pre/ \
https://sf.net/sarg/sarg-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
